LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
FontUnderline.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::awt
| Java AWT-like user interface toolkit interface specifications for UNO.

## Constant Groups
constants | com::sun::star::awt::FontUnderline
| These values are used to specify the kind of underlining.

## Variables
const short | NONE = 0
| specifies no underlining.
const short | SINGLE = 1
| specifies underlining with a single line.
const short | DOUBLE = 2
| specifies underlining with a double line.
const short | DOTTED = 3
| specifies underlining with a dotted line.
const short | DONTKNOW = 4
| The kind of underlining is not known.
const short | DASH = 5
| specifies underlining with a dashed line.
const short | LONGDASH = 6
| specifies underlining with long dashes.
const short | DASHDOT = 7
| specifies underlining with a dash and dot sequence.
const short | DASHDOTDOT = 8
| specifies underlining with a dash, dot, dot sequence.
const short | SMALLWAVE = 9
| specifies underlining with a small wave.
const short | WAVE = 10
| specifies underlining with a wave.
const short | DOUBLEWAVE = 11
| specifies underlining with a double wave.
const short | BOLD = 12
| specifies underlining with a bold line.
const short | BOLDDOTTED = 13
| specifies underlining with bold dots.
const short | BOLDDASH = 14
| specifies underlining with bold dashes.
const short | BOLDLONGDASH = 15
| specifies underlining with long bold dashes.
const short | BOLDDASHDOT = 16
| specifies underlining with a dash and dot sequence in bold.
const short | BOLDDASHDOTDOT = 17
| specifies underlining with a dash, dot, dot sequence in bold.
const short | BOLDWAVE = 18
| specifies underlining with a bold wave.